MPD 0.20.6

- Main Page
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

Public Member Functions
ScopeExitTag Struct Reference

Internal class. More...

`#include <ScopeExit.hxx>`

## Public Member Functions
template<typename F >
ScopeExitGuard< F > | operator+ (F &&f)

## Detailed Description

Internal class.

Do not use directly.

Definition at line 64 of file ScopeExit.hxx.

## Member Function Documentation

template<typename F >

ScopeExitGuard<F> ScopeExitTag::operator+ | ( | F && | f | ) |
| inline

Definition at line 69 of file ScopeExit.hxx.

The documentation for this struct was generated from the following file:

- util/ScopeExit.hxx